import 'package:chat/routes/app_routes.dart';
import 'package:chat/routes/user_routes.dart';
import 'package:chat/views/home/widgets/action_item.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class UserServePage extends StatefulWidget {
  const UserServePage({Key? key}) : super(key: key);

  @override
  State<UserServePage> createState() => _UserServePageState();
}

class _UserServePageState extends State<UserServePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('服务'),
      ),
      body: Column(
        children: [
          ActionItem(
            '谷歌验证器',
            isFirst: true,
            onTap: () {
              Get.toNamed(UserRoutes.serveGoogle);
            },
          ),
          ActionItem(
            '扫一扫',
            isLast: true,
            onTap: () {
              Get.toNamed(AppRoutes.scan);
            },
          ),
        ],
      ),
    );
  }
}
